Gallery Platform API
Reference

List artwork customs entries

Lists an artwork's customs timeline (regime, entry number, notes, date), newest first.

GET
/gallery/artworks/{id}/customs

Lists an artwork's customs timeline (regime, entry number, notes, date), newest first.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "artwork_id": "string",      "customs_type": "string",      "entry_number": "string",      "notes": "string",      "occurred_at": "string",      "created_at": "string",      "updated_at": "string"    }  ]}